#include <romfs/romfs.hpp>

#include <array>
#include <cstdint>


/* Resource definitions */

/* Resource map */
ROMFS_VISIBILITY std::span<romfs::impl::ResourceLocation> RomFs_decompress_get_resources() {
    static std::array<romfs::impl::ResourceLocation, 0> resources = {
    };

    return resources;
}



/* Resource paths */
ROMFS_VISIBILITY std::span<std::string_view> RomFs_decompress_get_paths() {
    static std::array<std::string_view, 0> paths = {
    };

    return paths;
}



/* RomFS name */
ROMFS_VISIBILITY const char* RomFs_decompress_get_name() {
    return "decompress";
}



